#ifndef __Weight__
#define __Weight__  

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "COMUtilities.h"
#include "BasicModifiers.h"  
#include "BasicDataComponent.h"
#include "WeightDef.h"
#include "BasicCOMImplementations.h"

extern const MCGUID CLSID_ExWeight;
extern const MCGUID IID_ExWeight;



struct WeightData
{
	real fWeight;
};


class Weight : public TBasicDataComponent
{
	public :  
		STANDARD_RELEASE;
		Weight();
		MCCOMErr	MCCOMAPI	QueryInterface(const MCIID& riid, void** ppvObj);
		virtual void*		MCCOMAPI GetExtensionDataBuffer();
		virtual int32		MCCOMAPI GetParamsBufferSize		() const	{ return sizeof(fData);}
		virtual MCCOMErr	MCCOMAPI ExtensionDataChanged();
		real		MCCOMAPI GetWeight();
	
	private :
		WeightData fData;      // Weight Data
};

#endif
